Bug 495800 - Suspend leaves laptop in unusable state
Suspend leaves laptop in unusable state
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 16:40 EDT by Adam Huffman
Modified: 2010-06-28 07:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2009-04-14 16:40:47 EDT
Description of problem:
With all the 2.6.29.1 kernels, and possibly the 2.6.29 ones as well, suspend to RAM leaves my Vaio SZ3-XWP in an unusable state - I have to remove AC power and remove the battery to switch it off.  When I try to suspend, the Caps Lock and Scroll Lock LEDs start flashing.

Version-Release number of selected component (if applicable):
2.6.29.1-70.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Initiate suspend from the Shutdown menu
2.
3.
  
Actual results:
Laptop hangs

Expected results:
Suspend to RAM proceeds normally

Additional info:
This was working with 2.6.28 and earlier kernels

Hardware profile:
http://www.smolts.org/client/show/pub_112457b8-dcf7-4ddb-a1c7-c90b3c821ac3
Comment 1 Adam Huffman 2009-04-28 17:59:47 EDT
The laptop suspends quite happily if I switch to a text console first and enter:

echo mem > /sys/power/state

If I try

pm-suspend

from a console, it hangs and the two LEDs start flashing.
Comment 2 Bug Zapper 2009-06-09 09:50:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:41:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:50:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.